---
schema_version: "1"
id: 6ed6c68d6299e7eaed583367d8191424642267b1a4d6d1c9ed6a2418b9ab81c5
title: Get Knowledge Language Settings
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/platform/api-rest/guides/resources/resources-knowledge-retrieve-language.md
canonical_url: https://developer.salesforce.com/docs/platform/api-rest/guide/resources-knowledge-retrieve-language.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: 20a17fbfed4fd2be2a28caad4cd79ba2ff278e8b7c07c951f7b7020494f0c7a6
products:
  - REST API Developer Guide
  - Platform Developer Content
---

# Get Knowledge Language Settings

Gets the existing Knowledge language settings, including the default knowledge language and a list of supported Knowledge language information. This resource can be used in API version 31.0 and later.

Salesforce Knowledge must be enabled in your organization. It gets the Knowledge language settings, including the default knowledge language and a list of supported Knowledge language information.

## Syntax

**URI:** `/services/data/vXX.X/knowledgeManagement/settings`

**Formats:** JSON, XML

**HTTP methods:** GET

**Authentication:** `Authorization: Bearer token`

**Request body:** None required

**Request parameters:** None

## Example

**Example Request**

```nolang
curl https://MyDomainName.my.salesforce.com/services/data/v68.0/knowledgeManagement/settings -H "Authorization: Bearer token"
```

**Example Response Body**

```nolang
{
    "defaultLanguage" : "en_US",
    "knowledgeEnabled" : true,
    "languages" : [ {
    "active" : true,
    "name" : "en_US"
    }, {
    "active" : true,
    "name" : "it"
    }, {
    "active" : true,
    "name" : "zh_CN"
    }, {
    "active" : true,
    "name" : "fr"
    } ]
}
```

